main
  table
    thead
      tr
        th Date
        - if @show_all
          th Category
        th Store
        th Amount
        th
    tbody
      - @purchases.each do |p|
        tr x-data="{createdAt: new Date('#{p.created_at}').toLocaleDateString()}"
          td x-text="createdAt"
            | #{p.created_at.strftime('%F')}
          - if @show_all
            td=p.category
          td=p.store
          td #{number_with_delimiter(p.price, delimiter: ',')} RSD
          td
            a href=entries_show_path(p.id)
              | Edit
            span="/"
            a x-data="{}" @click="fetch($refs.form.action, {body: new FormData($refs.form), method: 'DELETE'})" href=request.fullpath
              | Delete
              ==form_with url:entries_delete_path(p.id), method: 'delete', html: {"x-ref": "form", style: "display: none;"}
                input style="display: none" type="text" name="id" value=p.id
                input type="submit" value="Delete"
